RIO_ADD_OUTB_MESSAGE(9)

NAME
rio_add_outb_message - Add RIO message to an outbound mailbox queue

SYNOPSIS

int rio_add_outb_message(struct rio_mport * mport, struct rio_dev * rdev, int mbox, void * buffer, size_t len);

ARGUMENTS

mport
    RIO master port containing the outbound queue

rdev
    RIO device the message is be sent to

mbox
    The outbound mailbox queue

buffer
    Pointer to the message buffer

len
    Length of the message buffer

DESCRIPTION

Adds a RIO message buffer to an outbound mailbox queue for transmission. Returns 0 on success.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT